
#include "utils.h"
#include <stdio.h>


void error( const char * msg, const char * donde )
{
    printf("\nerror:");
    printf("\n  mensaje = %s",msg);
    printf("\n  lugar   = %s",donde) ;
    printf("\nacabando programa...");
    printf("\n");

    exit(1) ;
}

void * res_memoria( const char * msg, size_t tamano )
{
    void * res = malloc(tamano) ;

    if ( res == NULL )
    	error("no se puede reservar memoria",msg) ;
    	
    	
    return res ;

}

vector3 *  v3_copia( vector3 * destino, const vector3 * origen )
{
   destino->x = origen->x ;
   destino->y = origen->y ;
   destino->z = origen->z ;

   return destino ;
}

vector3 *  v3_asigna( vector3 * destino, real vx, real vy, real vz )
{
   destino->x = vx ;
   destino->y = vy ;
   destino->z = vz ;

   return destino ;
}

punto * asigna_punto( punto * destino, real px, real py, real pz )
{
   destino->x = px ;
   destino->y = py ;
   destino->z = pz ;

   return destino ;

}


