
#ifndef _UTILS_
#define _UTILS_

#include <stdlib.h>

typedef double real ;     // se puede cambiar a 'float'

typedef struct
{
   real x,y,z ;
}
  vector3 ;

typedef vector3 punto ; // punto es un 'alias' de 'vector3'

void error( const char * msg, const char * donde ) ;

void * res_memoria( const char * msg, size_t tamano ) ;

vector3 *  v3_copia( vector3 * destino, const vector3 * origen ) ;
vector3 *  v3_asigna( vector3 * destino, real vx, real vy, real vz ) ;

punto * asigna_punto( punto * destino, real px, real py, real pz ) ;


#endif